Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Rice Pastry API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## rice.environment.logging.simple
Class SimpleLogger

    java.lang.Object
      rice.environment.logging.Logger
          rice.environment.logging.HeirarchyLogger
              rice.environment.logging.simple.SimpleLogger

    public class SimpleLogger

extends HeirarchyLogger

This logger writes its name:time:message to the printstream provided, unless the priority is lower than the minimumPriority.

Author:
  Jeff Hoye

Field Summary

Fields inherited from class rice.environment.logging.HeirarchyLogger
`useDefault`

Fields inherited from class rice.environment.logging.Logger
`ALL, CONFIG, FINE, FINER, FINEST, INFO, level, OFF, SEVERE, WARNING`

Constructor Summary
`SimpleLogger(java.lang.String loggerName, AbstractLogManager alm, int level, boolean useDefault)` Constructor.

Method Summary
`void` | `log(java.lang.String message)` Prints out loggerName:currentTime:message
`void` | `logException(java.lang.String message, java.lang.Throwable exception)` Prints out logger:currentTime:exception.stackTrace();
`java.lang.String` | `toString()`

Methods inherited from class rice.environment.logging.Logger
`log, logException`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### SimpleLogger

    public SimpleLogger(java.lang.String loggerName,
                        AbstractLogManager alm,
                        int level,
                        boolean useDefault)

  Constructor.

  Parameters:
    `loggerName` - the name of this logger.
    `ps` - the stream to print to.
    `time` - the timesource.
    `minPriority` - the minimum priority to display.

Method Detail

### log

    public void log(java.lang.String message)

  Prints out loggerName:currentTime:message

  Specified by:
    `log` in class `Logger`
  Parameters:
    `message` - the message to print

### logException

    public void logException(java.lang.String message,
                             java.lang.Throwable exception)

  Prints out logger:currentTime:exception.stackTrace();

  Specified by:
    `logException` in class `Logger`
    `exception` - the exception to print

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Rice Pastry API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2005 - Rice Pastry.